Bug 478402 - FutureFeature: De centralized update mechanism
FutureFeature: De centralized update mechanism
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 10:07 EST by Alexey Kuznetsov
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 11:06:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-12-29 10:07:54 EST
In case of https://fedoraproject.org/wiki/BugsAndFeatureRequests page i put new important feature to Fedora community.

For now fedora have 3 content delivery applications:
- yum
- Codeina
- autodownloader

All applications centralized and required data server i suggest to upgrade yum update mechanism to get full feature system wide content delivery service.

I suggest:
- to have service similar as torrent tracer where each host can be content delivery node and sprend updates in local network
- yum server convert to torrent tracker subsystem
- all system wide updates controll by yum and refuse codeina and autodownloader
- upgrade yum to create local repos visible in local network (mdns) to share music\video and other stuff.
- create web server ifrastructure to easy publish content to internet (createrepo+web)
- get able autodownloader to load content from any strorage (local cdrom, local network, torrent tracker, http, ftp, samba...)
- get able yum to apply binary\text paches to new content
Comment 1 seth vidal 2009-01-19 11:06:39 EST
Sorry, this isn't going to happen.

Note You need to log in before you can comment on or make changes to this bug.